#!/bin/sh

FUNAMBOL_HOME=$PWD

JAVA_HOME="$FUNAMBOL_HOME/../tools/jre-1.5.0/jre"
export JAVA_HOME

J2EE_HOME="$FUNAMBOL_HOME/../tools/tomcat"
export J2EE_HOME

if [ ! -f "$JAVA_HOME/bin/java" ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set JAVA_HOME to the path of a valid jre."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ ! -f bin/install.sh ]
then
    echo ". ===================================================================="
    echo "."
    echo ". Please start this script from the Funambol DS Server home directory."
    echo "."
    echo ". ===================================================================="
    exit;
fi

# just in case...
chmod +x ./ant/bin/*
unset ANT_HOME

# the bundle version uses Tomcat 5.5
export APPSRV="tomcat55"

./ant/bin/ant -Ddo.install-db=true --noconfig -buildfile ./install/install.xml -q install

# In case the installation created new scripts
chmod +x ./bin/*.sh
