#!/bin/sh

#
# Set JAVA_HOME and J2EE_HOME before running this script.
#
# Set JAVA_HOME to the path where you have Java 2 installed.
#
#

if [ -z $JAVA_HOME ]
then
    echo "Please, set JAVA_HOME before running this script."
    exit;
fi

if [ -z $J2EE_HOME ]
then
    echo "Please, set J2EE_HOME before running this script."
    exit;
fi

if [ ! -f bin/shutdown.sh ]
then
    echo "Please, start this script from the Funambol Server home directory."
    exit;
fi


cd $J2EE_HOME/bin

#
# Shutdown Tomcat
#
sh ./shutdown.sh
