/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.config;

import java.util.ArrayList;

/**
 * This class is just a container of LoggerConfiguration objects.
 *
 * @see LoggerConfiguration
 *
 *
 * @version $Id: LoggingConfiguration.java,v 1.3 2007/01/11 11:48:49 nichele Exp $
 */
public class LoggingConfiguration
implements java.io.Serializable {

    // ------------------------------------------------------------ Private data

    private ArrayList loggers;

    // ------------------------------------------------------------ Constructors

    /** Creates a new instance of LoggingConfiguration */
    public LoggingConfiguration() {
    }

    /**
     * Getter for property loggers.
     *
     * @return Value of property loggers.
     */
    public ArrayList getLoggers() {
        return loggers;
    }

    /**
     * Setter for property loggers.
     *
     * @param loggers New value of property loggers.
     */
    public void setLoggers(ArrayList loggers) {
        this.loggers = loggers;
    }

    // ---------------------------------------------------------- Public methods


}
