/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine.source;

/**
 * @version $Id: FilterSpecification.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 */
public class FilterSpecification implements java.io.Serializable {

    // -------------------------------------------------------------- Properties

    private ContentType   contentType;
    private String[]      keywords;
    private String[]      propName;

    // ------------------------------------------------------------- Constructor
    public FilterSpecification() {
    }


    // ----------------------------------------------------------- Getter/Setter

    /**
     * Returns the contentType.
     * @return the contentType.
     */
    public ContentType getContentType() {
        return contentType;
    }

    /**
     * Sets the contentType
     * @param contentType the new value of the contentType
     */
    public void setContentType(ContentType contentType) {
        this.contentType = contentType;
    }

    /**
     * Returns the keywords.
     * @return the keywords.
     */
    public String[] getKeywords() {
        return keywords;
    }

    /**
     * Sets the keywords
     * @param keywords the new value of the keywords
     */
    public void setKeywords(String[] keywords) {
        this.keywords = keywords;
    }

    /**
     * Returns the propName.
     * @return the propName.
     */
    public String[] getPropName() {
        return propName;
    }

    /**
     * Sets the propName
     * @param propName the new value of the propName
     */
    public void setPropName(String[] propName) {
        this.propName = propName;
    }



}
