/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine.transformer;

/**
 * This class is just a collection of properties that may be used by a
 * DataTransformer.
 *
 * @version $Id: TransformationInfo.java,v 1.5 2007/01/11 11:48:50 nichele Exp $
 */
public class TransformationInfo {

    private String userName    ;
    private String userPassword; 
    private String credentials ;

    /**
     * Returns the credentials
     * @return the credentials
     */
    public String getCredentials() {
        return credentials;
    }

    /**
     * Sets the credentials
     * @param credentials the credentials
     */
    public void setCredentials(String credentials) {
        this.credentials = credentials;
    }

    /**
     * Returns the username
     * @return the username
     */
    public String getUsername() {
        return userName;
    }

    /**
     * Sets the userName
     * @param userName the userName to set
     */
    public void setUsername(String userName) {
        this.userName = userName;
    }

    /**
     * Gets the user's password
     * @return the user's password
     */
    public String getUserPassword() {
        return userPassword;
    }
    
    /**
     * Sets the user's password
     * @param userPassword the user's password
     */
    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

}
