/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.tools.directorymonitor;

/**
 * Listener for <code>FileChangeEvent</code>
 * @version $Id: FileChangeListener.java,v 1.2 2007/01/11 11:49:25 nichele Exp $
 */
public interface FileChangeListener {

    /**
     * Used to notify <code>FileChangeEvent</code>
     *
     * @param fileChangeEvent the event notified
     */
    public void fileChange(FileChangeEvent fileChangeEvent);
}
