/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine.source;

/**
 * @version $Id: FilterInfo.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 */
public class FilterInfo implements java.io.Serializable {

    // -------------------------------------------------------------- Properties

    private FilterSpecification[] filterCaps = null;

    private ContentType[]         filterRx   = null;

    /**
     * Returns the filterCaps.
     * @return the filterCaps.
     *
     */
    public FilterSpecification[] getFilterCaps() {
        return this.filterCaps;
    }

    /**
     * Sets the filterCaps.
     * @param filterCaps New value of property filterCaps.
     *
     */
    public void setFilterCaps(FilterSpecification[] filterCaps) {
        this.filterCaps = filterCaps;
    }

    /**
     * Returns the filterRx.
     * @return the filterRx.
     *
     */
    public ContentType[] getFilterRx() {
        return this.filterRx;
    }

    /**
     * Sets the filterRx.
     * @param filterRx New value of property filterRx.
     *
     */
    public void setFilterRx(ContentType[] filterRx) {
        this.filterRx = filterRx;
    }

    // ------------------------------------------------------------ Constructors

    /**
     * Creates a new instance of FilterInfo
     *
     * @param filterCaps the filterCaps
     */
    public FilterInfo(FilterSpecification[] filterCaps) {
        this.filterCaps = filterCaps;
    }

    public FilterInfo() {
    }
}
