/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.notification;

import com.funambol.framework.core.Sync4jException;

/**
 * A generic exception occurs durign a Notification process
 *
 * @version $Id: NotificationException.java,v 1.3 2007/01/11 11:48:50 nichele Exp $
 */
public class NotificationException extends Sync4jException {
        
    /**
     * Constructs an instance of <code>NotificationException</code> with the 
     * specified detail message.
     *
     * @param msg the detail message.
     */
    public NotificationException(String msg) {
        super(msg);
    }
    
    /**
     * Constructs an instance of <code>NotificationException</code> with the
     * specified detail message and cause.
     *
     * @param msg the detail message.
     * @param cause the cause exception
     */
    public NotificationException(String msg, Throwable cause) {
        super(msg, cause);
    }
}