/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.server;

import com.funambol.framework.core.SyncML;

/**
 * @version $Id: SyncResponse.java,v 1.3 2007/01/11 11:48:51 nichele Exp $
 */
public interface SyncResponse extends java.io.Serializable {
    public byte[] getMessage();    

    /**
     * Is this message the last message allowed for the current session?
     *
     * @return true if yes, false otherwise
     *
     */
    public boolean isCompleted();
}

