/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.engine.transformer;

import com.funambol.framework.tools.Base64;
import com.funambol.framework.engine.transformer.DataTransformer;
import com.funambol.framework.engine.transformer.TransformerException;
import com.funambol.framework.engine.transformer.TransformationInfo;


public class B64Encoder extends DataTransformer {
    // ------------------------------------------------------------ Private data

    // ------------------------------------------------------------ Constructors

    public B64Encoder() {
        super("b64");
    }

    // ---------------------------------------------------------- Public methods

    public byte[] transform(byte[] data, TransformationInfo info)
    throws TransformerException {
        return Base64.encode(data);
    }

}
